/** 
 * @file    kBytes.h
 * @brief   Declares the kBytes class. 
 *
 * This header is provided for backwards compatibility with FireSync 5.
 * Avoid using these definitions in new code. 
 *
 * @internal
 * Copyright (C) 2012-2023 by LMI Technologies Inc.
 * Licensed under the MIT License.
 * Redistributed files must retain the above copyright notice.
 */
#ifndef K_API_BYTES_H
#define K_API_BYTES_H

#include <kApi/kApiDef.h>

#include <kApi/Data/kBytes.x.h>

#endif
