# GoPxL SDK Sample Applications — README.md

## Overview

The GoPxL Software Development Kit (GoPxL SDK) is an open-source C# library that can be used to programmatically access and control Gocator sensors. To get the latest version of the GoPxL SDK package, go to https://downloads.lmi3d.com/, choose your product from the Product Downloads section, and download it from the Download Center.

## API
The full GoPxL SDK API reference is found in the following file: x.x.x.x_SOFTWARE_GoPxL_SDK_dotNet\doc\GoPxLSdk.html

## Building the SDK
A generate.py script is included in the SDK in x.x.x.x_SOFTWARE_GoPxL_SDK\Gocator\GoPxLSdk_dotNet\generate.py. Run this script to generate a Visual Studio solution file in Windows.

Python (+3.7) is required to run generate.py files.
To generate the sln file you can run the following command from the GoPxLSdkNet directory:
```
> python -m generate
```

The GoPxL SDK has been tested on the following operating system editions:
* Windows 10 (64-bit)

The GoPxL SDK can be compiled given the following environment requirements:
* Visual Studio 2017+

The GoPxL SDK uses mm, mm2, mm3, hertz, microseconds and degrees as standard units unless otherwise mentioned.
